#!/bin/sh
#
# check_zpool - Nagion plugin, checks ZFS with command
# zpool status
#
# by Michael Tosch
#

set -f
export PATH
PATH=/bin:/usr/bin:/usr/sbin:/sbin

check=`{ zpool status -x; } 2>&1`
errstate=$?
failed=`echo "$check" | awk 'NF==0 {n=0} n==1 && $2!="ONLINE" {print $1,$2} $1=="NAME" {n=1}'`
if [ -z "$check" ]
then
  echo "zpool UNKNOWN"
  exit 3
elif [ $errstate -eq 0 -a -z "$failed" ]
then
  echo "zpool OK"
  exit 0
else
  echo "zpool CRITICAL: "$failed"($errstate)"
  exit 2
fi
